Bug 1130396 - Valabind FTBFS with Vala 0.25
Summary: Valabind FTBFS with Vala 0.25
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: valabind
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sdb
TreeView+ depends on / blocked
 
Reported: 2014-08-15 06:42 UTC by Eric Smith
Modified: 2016-05-01 00:23 UTC (History)
2 users (show)

Fixed In Version: valabind-0.9.2-2.fc23 valabind-0.9.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:30:07 UTC


Attachments (Terms of Use)

Description Eric Smith 2014-08-15 06:42:17 UTC
Description of problem:
Build of valabind package on Fedora 21 or Rawhide FTBFS, apparently due to the upgrade of vala from 0.22 to 0.25.  Happens even with newer valabind 0.8.0 relese.

Version-Release number of selected component (if applicable):
valabind 0.7.4-5
vala 0.25

How reproducible:
100%

Steps to Reproduce:
attempt to build valabind RPM for Fedora 21 or rawhide

Expected results:
successful build

Actual results:

Compiling config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala -> valabind
valac -g --cc="cc" -X -O2 -X -g -X -pipe -X -Wall -X -Werror=format-security -X -Wp,-D_FORTIFY_SOURCE=2 -X -fexceptions -X -fstack-protector-strong -X --param=ssp-buffer-size=4 -X -grecord-gcc-switches -X -m64 -X -mtune=generic -X -Wl,-z,relro -o valabind --pkg posix --pkg libvala-0.26 --save-temps  config.vala main.vala valabindwriter.vala nodeffiwriter.vala utils.vala girwriter.vala swigwriter.vala cxxwriter.vala ctypeswriter.vala dlangwriter.vala 
swigwriter.vala:88.34-88.45: error: Argument 1: Cannot convert from `Vala.Expression?' to `int'
            return element+"[%d]".printf (array.length); // FIXME will this work?
                                          ^^^^^^^^^^^^
swigwriter.vala:262.52-262.63: error: Argument 1: Cannot convert from `Vala.Expression?' to `int'
            field = element + " " + f.name + "[%d]".printf (array.length); // FIXME will this work?
                                                            ^^^^^^^^^^^^
nodeffiwriter.vala:70.46-70.57: error: Argument 1: Cannot convert from `Vala.Expression?' to `int'
            return "_.array("+element+", %d)".printf (array.length);
                                                      ^^^^^^^^^^^^
ctypeswriter.vala:209.41-209.52: error: Argument 1: Cannot convert from `Vala.Expression?' to `int'
            return "'"+element+"', * %d".printf (array.length); // FIXME will this work?
                                                 ^^^^^^^^^^^^
ctypeswriter.vala:411.53-411.64: error: Argument 3: Cannot convert from `Vala.Expression?' to `int'
            field = "'%s', %s * %d".printf (f.name, element, array.length);
                                                             ^^^^^^^^^^^^
dlangwriter.vala:184.10-184.26: error: Assignment: Cannot convert from `Vala.Expression?' to `int'
                    int sz = array.length;
                        ^^^^^^^^^^^^^^^^^
dlangwriter.vala:185.51-185.52: error: The name `sz' does not exist in the context of `DlangWriter.walk_field'
                    defs += "  %s %s[%d];\n".printf (type, name, sz);
                                                                 ^^
Compilation failed: 7 error(s), 0 warning(s)


Additional info:

Can fix (or at least prevent compiler complaints) for the array.length errors by patching in explict casts to int.  Need upstream help for the sz problem, though.

Upstream issue: https://github.com/radare/valabind/issues/28

Comment 1 Fedora Admin XMLRPC Client 2014-11-19 22:51:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2015-10-20 16:29:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2015-10-22 15:06:11 UTC
valabind-0.9.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c119fe445c

Comment 4 Fedora Update System 2015-10-22 15:06:12 UTC
valabind-0.9.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0

Comment 5 Fedora Update System 2015-10-22 15:06:25 UTC
valabind-0.9.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143

Comment 6 Fedora Update System 2015-10-24 12:07:19 UTC
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0

Comment 7 Fedora Update System 2015-10-26 10:27:03 UTC
valabind-0.9.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143

Comment 8 Fedora Update System 2015-10-26 18:28:35 UTC
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c119fe445c

Comment 9 Fedora Update System 2015-11-01 02:29:58 UTC
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-05-01 00:23:22 UTC
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.